|  | Home · All Classes · Modules

# QPyDesignerMemberSheetExtension Class Reference
[QtDesigner module]

Inherits QObject and QDesignerMemberSheetExtension.

### Methods

- __init__ (self, QObject parent)

## Detailed Description

The QPyDesignerMemberSheetExtension class is provided to work around the fact that it is not possible for a Python class to derive from multiple Qt classes.

In order to manipulate a widget's member functions when configuring connections you should implement a Python class derived from QPyDesignerMemberSheetExtension rather than one derived from QObject and QDesignerMemberSheetExtension.

## Method Documentation

### QPyDesignerMemberSheetExtension.__init__ (self, QObject parent)

The parent argument, if not None, causes self to be owned by Qt instead of PyQt.